extends Node3D
class_name Pedestal

@export var placed_command : Node3D
@export var has_command : bool = false
@export var slot : Node3D
@export var mesh :MeshInstance3D


# Called when the node enters the scene tree for the first time.
func _ready():
	
	pass # Replace with function body.


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta):
	if(slot.get_child_count() == 0):
		placed_command = null
		has_command = false
	pass
